Page 1 of 2 12 LastLast
Results 1 to 10 of 11

Thread: VMware Player on openSUSE 11.4: cannot compile module vmmon

  1. #1
    Join Date
    Dec 2010
    Location
    Belgium, Europe
    Posts
    192

    Default VMware Player on openSUSE 11.4: cannot compile module vmmon

    I'm trying to get VMware Player to work on openSUSE 11.4. I get this dialog when I first start the program:



    Clicking 'Install'...



    Code:
    Mar 17 14:33:40.329: app-139891576985344| Log for VMware Workstation pid=25104 version=7.1.3 build=build-324285 option=Release                                                                       
    Mar 17 14:33:40.329: app-139891576985344| The process is 64-bit.                                                                                                                                     
    Mar 17 14:33:40.329: app-139891576985344| Host codepage=UTF-8 encoding=UTF-8                                                                                                                         
    Mar 17 14:33:40.329: app-139891576985344| Logging to /tmp/vmware-root/setup-25104.log                                                                                                                
    Mar 17 14:33:40.590: app-139891576985344| System distribution is SuSE                                                                                                                                
    Mar 17 14:33:40.590: app-139891576985344| System version is 11.4                                                                                                                                     
    Mar 17 14:33:40.590: app-139891576985344| modconf query interface initialized                                                                                                                        
    Mar 17 14:33:40.591: app-139891576985344| modconf library initialized                                                                                                                                
    Mar 17 14:33:40.631: app-139891576985344| Your GCC version: 4.5                                                                                                                                      
    Mar 17 14:33:40.638: app-139891576985344| Your GCC version: 4.5                                                                                                                                      
    Mar 17 14:33:40.652: app-139891576985344| Your GCC version: 4.5                                                                                                                                      
    Mar 17 14:33:40.667: app-139891576985344| Your GCC version: 4.5                                                                                                                                      
    Mar 17 14:33:40.678: app-139891576985344| Your GCC version: 4.5                                                                                                                                      
    Mar 17 14:33:40.716: app-139891576985344| Trying to find a suitable PBM set for kernel 2.6.37.1-1.2-desktop.                                                                                         
    Mar 17 14:33:40.719: app-139891576985344| Trying to find a suitable PBM set for kernel 2.6.37.1-1.2-desktop.                                                                                         
    Mar 17 14:33:40.721: app-139891576985344| Trying to find a suitable PBM set for kernel 2.6.37.1-1.2-desktop.                                                                                         
    Mar 17 14:33:40.723: app-139891576985344| Trying to find a suitable PBM set for kernel 2.6.37.1-1.2-desktop.                                                                                         
    Mar 17 14:33:40.725: app-139891576985344| Trying to find a suitable PBM set for kernel 2.6.37.1-1.2-desktop.                                                                                         
    Mar 17 14:33:40.748: app-139891576985344| Trying to find a suitable PBM set for kernel 2.6.37.1-1.2-desktop.                                                                                         
    Mar 17 14:33:40.750: app-139891576985344| Trying to find a suitable PBM set for kernel 2.6.37.1-1.2-desktop.                                                                                         
    Mar 17 14:33:40.752: app-139891576985344| Trying to find a suitable PBM set for kernel 2.6.37.1-1.2-desktop.                                                                                         
    Mar 17 14:33:40.754: app-139891576985344| Trying to find a suitable PBM set for kernel 2.6.37.1-1.2-desktop.                                                                                         
    Mar 17 14:33:40.756: app-139891576985344| Trying to find a suitable PBM set for kernel 2.6.37.1-1.2-desktop.                                                                                         
    Mar 17 14:33:40.761: app-139891576985344| Your GCC version: 4.5                                                                                                                                      
    Mar 17 14:33:40.775: app-139891576985344| Your GCC version: 4.5                                                                                                                                      
    Mar 17 14:33:40.809: app-139891576985344| Trying to find a suitable PBM set for kernel 2.6.37.1-1.2-desktop.                                                                                         
    Mar 17 14:33:40.811: app-139891576985344| Trying to find a suitable PBM set for kernel 2.6.37.1-1.2-desktop.                                                                                         
    Mar 17 14:33:40.813: app-139891576985344| Trying to find a suitable PBM set for kernel 2.6.37.1-1.2-desktop.                                                                                         
    Mar 17 14:33:40.815: app-139891576985344| Trying to find a suitable PBM set for kernel 2.6.37.1-1.2-desktop.
    Mar 17 14:33:40.817: app-139891576985344| Trying to find a suitable PBM set for kernel 2.6.37.1-1.2-desktop.
    Mar 17 14:33:40.822: app-139891576985344| Your GCC version: 4.5
    Mar 17 14:33:40.836: app-139891576985344| Your GCC version: 4.5
    Mar 17 14:33:40.893: app-139891576985344| Trying to find a suitable PBM set for kernel 2.6.37.1-1.2-desktop.
    Mar 17 14:33:40.896: app-139891576985344| Trying to find a suitable PBM set for kernel 2.6.37.1-1.2-desktop.
    Mar 17 14:33:40.900: app-139891576985344| Trying to find a suitable PBM set for kernel 2.6.37.1-1.2-desktop.
    Mar 17 14:33:40.903: app-139891576985344| Trying to find a suitable PBM set for kernel 2.6.37.1-1.2-desktop.
    Mar 17 14:33:40.906: app-139891576985344| Trying to find a suitable PBM set for kernel 2.6.37.1-1.2-desktop.
    Mar 17 14:33:41.081: app-139891576985344| Trying to find a suitable PBM set for kernel 2.6.37.1-1.2-desktop.
    Mar 17 14:33:41.081: app-139891576985344| Building module vmmon.
    Mar 17 14:33:41.081: app-139891576985344| Extracting the sources of the vmmon module.
    Mar 17 14:33:41.091: app-139891576985344| Building module with command: /usr/bin/make -C /tmp/vmware-root/modules/vmmon-only auto-build SUPPORT_SMP=1 HEADER_DIR=/lib/modules/2.6.37.1-1.2-desktop/build/include CC=/usr/bin/gcc GREP=/usr/bin/make IS_GCC_3=no VMCCVER=4.5
    Mar 17 14:33:41.978: app-139891576985344| Failed to compile module vmmon!
    What do I do? VMware Player worked fine on openSUSE 11.3. I installed VMware Player from the .bundle package. I don't remember how I did it in 11.3.

  2. #2
    Join Date
    Jun 2008
    Location
    Managua
    Posts
    400

    Default Re: VMware Player on openSUSE 11.4: cannot compile module vmmon


  3. #3
    Join Date
    Dec 2010
    Location
    Belgium, Europe
    Posts
    192

    Default Re: VMware Player on openSUSE 11.4: cannot compile module vmmon

    The patch you indirectly referenced to did the trick for me. I'm thinking this should go on the wiki, because I did some Google searching on opensuse.org and I couldn't find an answer for VMware Player on openSUSE 11.4 immediately. That would probably prevent topics like mine from littering the forums.

    Thanks!

  4. #4
    Join Date
    Jun 2008
    Location
    Managua
    Posts
    400

    Default Re: VMware Player on openSUSE 11.4: cannot compile module vmmon


  5. #5
    Join Date
    Dec 2010
    Location
    UAE
    Posts
    25

    Default Re: VMware Player on openSUSE 11.4: cannot compile module vmmon

    I can't patch the module. Tried to use above. "patch-modules" runs but stops with error.

    Command: sh patch-modules_v62-opensuse.sh

    Result: patch-modules_v62-opensuse.sh: line 40: patch: command not found

    Saw a suggestion to change line four (4) in the "patch-modules_v62-opensuse.sh" to read: "vmware-7.1.3-2.6.37.9-generic.patch" and use suitable vmware patch. This gives the exact same result.

    Any suggestions?

  6. #6
    Join Date
    Feb 2010
    Location
    Germany
    Posts
    4,654

    Default Re: VMware Player on openSUSE 11.4: cannot compile module vmmon

    lak 726 wrote:

    > Result: patch-modules_v62-opensuse.sh: line 40: patch: command not
    > found
    >

    What about installing patch. It cannot find the patch command. The package
    has the same name
    Code:
    sudo zypper in patch
    --
    PC: oS 11.3 64 bit | Intel Core2 Quad Q8300@2.50GHz | KDE 4.6.1 | GeForce
    9600 GT | 4GB Ram
    Eee PC 1201n: oS 11.4 64 bit | Intel Atom 330@1.60GHz | Gnome 2.32 | nVidia
    ION | 3GB Ram

  7. #7

    Default Re: VMware Player on openSUSE 11.4: cannot compile module vmmon

    Sorry. But also after "sudo zypper in patch" vmware player is not working

  8. #8
    Join Date
    Feb 2010
    Location
    Germany
    Posts
    4,654

    Default Re: VMware Player on openSUSE 11.4: cannot compile module vmmon

    tonikarjola wrote:

    >
    > Sorry. But also after "sudo zypper in patch" vmware player is not
    > working
    >

    But I would guess that there is no longer the message about the missing
    pactch command, it is not so unusual that you miss something else in
    addition.
    What messages do you get now when trying to patch? Did it simply pass
    without errors and messages or did it show something different. If the patch
    process worked at which step did it fail?

    --
    PC: oS 11.3 64 bit | Intel Core2 Quad Q8300@2.50GHz | KDE 4.6.1 | GeForce
    9600 GT | 4GB Ram
    Eee PC 1201n: oS 11.4 64 bit | Intel Atom 330@1.60GHz | Gnome 2.32 | nVidia
    ION | 3GB Ram

  9. #9

    Default Re: VMware Player on openSUSE 11.4: cannot compile module vmmon

    Thank you for your help. Yes. There is no error message anymore. After "sudo .." I restarted computer and start vmware again. The result you can see on pictures.

    here is also my log

    linux-ahbc:/home/abba # sudo zypper in patch
    Retrieving repository 'Updates for openSUSE 11.4 11.4-0' metadata [done]
    Building repository 'Updates for openSUSE 11.4 11.4-0' cache [done]
    Retrieving repository 'openSUSE BuildService - KDE:Extra' metadata [done]
    Building repository 'openSUSE BuildService - KDE:Extra' cache [done]
    Retrieving repository 'openSUSE BuildService - KDE:UpdatedApps' metadata [done]
    Building repository 'openSUSE BuildService - KDE:UpdatedApps' cache [done]
    Retrieving repository 'openSUSE BuildService - Wine CVS Builds' metadata [done]
    Building repository 'openSUSE BuildService - Wine CVS Builds' cache [done]
    Retrieving repository 'openSUSE BuildService - Mozilla' metadata [done]
    Building repository 'openSUSE BuildService - Mozilla' cache [done]
    Retrieving repository 'Packman Repository' metadata [done]
    Building repository 'Packman Repository' cache [done]
    Retrieving repository 'patch' metadata [done]
    Retrieving repository 'openSUSE-11.4-Update-Debug' metadata [done]
    Building repository 'openSUSE-11.4-Update-Debug' cache [done]
    Loading repository data...
    Reading installed packages...
    'patch' is already installed.
    No update candidate for 'patch-2.6.1.81-5.1.i586'. The highest available version is already installed.
    Resolving package dependencies...

    Nothing to do.
    linux-ahbc:/home/abba #


    Then I had restarted vmware player. But without results.

    thank you for all your help.




  10. #10
    Join Date
    Jun 2008
    Location
    Managua
    Posts
    400

    Default Re: VMware Player on openSUSE 11.4: cannot compile module vmmon

    This is a step by step guide

    Uninstall vmware player



    install kernel-source and kernel-syms, you must also install the base development pattern in yast, install vmware as usual

    after that download and run the script in the following site

    openSUSE Lizards

    copy both files in the same folder and run

    sh patch-modules_v62-opensuse.sh

Page 1 of 2 12 LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •